local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, a = ...
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables
local config = {}
config.event = {}

local c = BittensSpellFlashLibrary2

function config.event.COMBAT_LOG_EVENT_UNFILTERED(event, ...)
    event = select(2, ...)
    sourceGUID = select(4, ...)
    spellName = select(13, ...)
    if event == "SPELL_CAST_SUCCESS"
        and sourceGUID == UnitGUID("player")
        and spellName == s.SpellName(c.GetID("Beacon of Light"), 1) then
        
        a.BeaconTarget = select(9, ...)
    end
end

config.CheckButtonOptions = {
    LeftCheckButton1 = {
        DefaultChecked = true,
        ConfigKey = "holy_off",
        Label = L["Flash Holy"],
    },
    LeftCheckButton2 = {
        DefaultChecked = true,
        ConfigKey = "prot_off",
        Label = L["Flash Prot"],
    },
    LeftCheckButton3 = {
        DefaultChecked = true,
        ConfigKey = "ret_off",
        Label = L["Flash Ret"],
    },
    LeftCheckButton4 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    LeftCheckButton5 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    LeftCheckButton6 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    LeftCheckButton7 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    RightCheckButton1 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    RightCheckButton2 = {
        DefaultChecked = false,
        ConfigKey = "Prot_2pT13",
        Label = L["Wearing Prot 2pT13"],
    },
    RightCheckButton3 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    RightCheckButton4 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    RightCheckButton5 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    RightCheckButton6 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
    RightCheckButton7 = {
        DefaultChecked = true,
        ConfigKey = "My_Config_Key",
        Label = L["My_Check_Button_Label"],
    },
}

config.EditBoxOptions = {
	LeftEditBox1 = {
		DefaultValue = "",
		Numeric = false,
		MaxCharacters = 999,
		ConfigKey = "My_Config_Key",
		Label = L["My_Edit_Box_Label:"],
	},
	LeftEditBox2 = {
		DefaultValue = "",
		Numeric = false,
		MaxCharacters = 999,
		ConfigKey = "My_Config_Key",
		Label = L["My_Edit_Box_Label:"],
	},
	RightEditBox1 = {
		DefaultValue = "",
		Numeric = false,
		MaxCharacters = 999,
		ConfigKey = "My_Config_Key",
		Label = L["My_Edit_Box_Label:"],
	},
	RightEditBox2 = {
		DefaultValue = "",
		Numeric = false,
		MaxCharacters = 999,
		ConfigKey = "My_Config_Key",
		Label = L["My_Edit_Box_Label:"],
	},
}

a.LoadConfigs(config)